<!DOCTYPE html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../../favicon.ico">

    <title>Advance Network Scanner</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="/static/jumbotron-narrow.css" rel="stylesheet">
</head>

<body>

    <div class="container">
        <div class="header clearfix">
            <nav>
              <ul class="nav nav-pills float-right">
                <li class="nav-item">
                  <a class="nav-link active" href="/">Scan<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="/recent">Recent</a>
                </li>
                <li class="nav-item">
      
                </li>
              </ul>
            </nav>
            <h3 class="text-muted">Advance Network Scanner</h3>
          </div>


        <div class="panel-group" id="accordion">
            {% for scan in scans %}
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion" href="#collapse{{ loop.index }}">
                            {{ scan.name }}</a>
                    </h4>
                    <p class="text-right">{{ scan.timestamp.strftime('%I:%M %p') }}</p>
                </div>
                <div id="collapse{{ loop.index }}" class="panel-collapse collapse {% if loop.first %}in{% endif %}">
                    <div class="panel-body">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">IP Address</th>
                                    <th scope="col">Hostname</th>
                                    <th scope="col">Open Ports</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for device in scan.devices %}
                                <tr>
                                    <th scope="row">{{ loop.index }}</th>
                                    <td><a href="{{ url_for('device', id=device.id) }}">{{ device.ip_address }}</a></td>
                                    <td>{{ device.hostname }}</td>
                                    <td>{{ device.ports|join_ports }}</td>
                                </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>

    </div> <!-- /container -->

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>


</body>

</html>